require 'spec_helper'

describe 'puppet_enterprise::profile::amq::broker' do
  before :all do
    @facter_facts = {
      :osfamily       => 'Debian',
      :fqdn           => 'console.rspec'
    }

    @params = {
      :brokername     => 'console.rspec',
      :stomp_password          => 'puppetlabs',
    }
  end

  let(:facts) { @facter_facts }
  let(:params) { @params }

  it { should contain_class('puppet_enterprise::amq') }

  context "managing certs" do
    it { should contain_file("/etc/puppetlabs/activemq/broker.ts").with_mode('0640') }
    it { should contain_file("/etc/puppetlabs/activemq/broker.ks").with_mode('0640') }
  end

  it { should satisfy_all_relationships }
end
